Subject: Re: wishlist bugreport: make limit configurable for do_fmt_merge_msg (merge.log)

From: Ramkumar Ramachandra <[email-masked]>
Date: Fri, 20 Aug 2010 14:06:19 +0530

Hi Jonathan,

Jonathan Nieder writes:
> Ramkumar Ramachandra wrote:
> 
> >     fmt-merge-msg: Make the number of log entries in shortlog configurable
> >     
> >     Introduce a new configuration option called merge.logLimit to limit
> >     the number of log entries displayed in the shortlog of a merge commit
> >     configurable. Set the default value to 20.
> 
> Neat.  Sign-off?

Oops. I forgot about the new policy: when a patch isn't ready for
inclusion, I must say that explicitly and sign off so others can base
their work on my patch, right?
Signed-off-by: Ramkumar Ramachandra <[email-masked]>

> > +++ b/builtin/fmt-merge-msg.c
> > @@ -22,6 +23,8 @@ static int fmt_merge_msg_config(const char *key, const char *value, void *cb)
> >  	}
> >  	if (!found_merge_log && !strcmp("merge.summary", key))
> >  		merge_summary = git_config_bool(key, value);
> > +	if (!strcmp("merge.logLimit", key))
> > +		log_limit = git_config_int(key, value);
> 
> Maybe something like the following would be good on top (or maybe not;
> you decide).

Looks good- since you're interested in this too, I'll include your
patch, test it and post a series to the list.

Thanks.

-- Ram